Completed Orders

Completed Orders

GET /CompletedOrders

Used to list the restaurant's completed orders in Adisyo.

Example Request

Completed orders
curl -X GET "https://ext.adisyo.com/api/External/v2/CompletedOrders?page=1&startDate=2025-12-01%2014:00:00&includeCancelled=true&orderType=TakeAway,Table" \
  --header "x-api-key: ..." \
  --header "x-api-secret: ..." \
  --header "x-api-consumer: ..."

Request Parameters

You can send the following parameters as query string

ParameterData TypeDescriptionExample
pageNumber?Current Page1
startDateDate? (ISO 8601 "yyyy-MM-dd HH:mm:ss")Start Date2025-12-01 14:00:00
includeCancelledBoolean?Should cancelled orders be included?true
orderTypeString? (Comma-separated, multiple)Order TypesTakeAway,Table

Constraints

The following constraints must be considered when creating the request

  • The start date startDate in the parameters should be sent in yyyy-MM-dd HH:mm:ss (ISO 8601) format. If sent empty, it returns orders within 24 hours. It must be sent with UTC time zone. For example, for a start date of 18:00 from Turkey, the request should be sent with 15:00 date.
  • To include cancelled orders, you need to send the includeCancelled parameter as true.
  • By default, the orderType parameter includes orders containing all order types. When sending multiple orderType parameters, you should separate them with commas. You can access Order types from here.
  • A maximum of 100 order objects can be displayed in each response. If the TotalCount parameter in the displayed object is more than 100, you can see other orders on the next page by changing the Page parameter.

Example Response

Completed orders
{
  "orders": [
    {
      "id": 190202584,
      "waiterName": "Azad Gök",
      "deliveryUserName": null,
      "externalAppName": null,
      "restaurantName": null,
      "orderTotal": 87.00,
      "paymentMethodName": null,
      "paymentMethodId": 0,
      "deliveryTime": null,
      "discountAmount": 0.00,
      "currency": "TRY",
      "orderNote": null,
      "salesChannelId": 62271,
      "salesChannelName": "Ana Kanal",
      "externalAppId": null,
      "statusId": 7,
      "status": "Kapandı",
      "integrationRestaurantName": null,
      "orderCancelReason": null,
      "tableName": "Masa 21",
      "orderNumber": 122,
      "taxAmount": 7.91,
      "insertDate": "2023-08-18T14:10:52.11",
      "updateDate": "2023-08-18T14:41:03.52",
      "orderTypeId": 1,
      "orderType": "Masa Siparişi",
      "customerId": 0,
      "integrationOrderId": null,
      "restaurantKey": 38910,
      "externalAppKey": 0,
      "customer": null,
      "products": [
        {
          "id": 698440349,
          "orderId": 190202584,
          "quantity": 2.000,
          "unitPrice": 25.00,
          "productName": "TÜRK KAHVESİ",
          "productNote": null,
          "productCode": null,
          "productUnitId": 7572239,
          "isMenu": false,
          "parentId": null,
          "cost": 0.0,
          "totalAmount": 50.00,
          "groupName": null,
          "groupId": 0,
          "unitId": 4,
          "productId": 8153225,
          "discountAmount": 0.00,
          "insertDate": "2023-08-18T11:10:52.177",
          "description": null,
          "cancelReason": null,
          "features": [
            {
              "featureName": "ORTA",
              "additionalPrice": 0.00,
              "featureId": 1707861,
              "orderDetailId": 698440349
            }
          ]
        },
        {
          "id": 440333700,
          "orderId": 190202584,
          "quantity": 1.000,
          "unitPrice": 12.00,
          "productName": "MEYVELİ SODA",
          "productNote": null,
          "productCode": null,
          "productUnitId": 7586234,
          "isMenu": false,
          "parentId": null,
          "cost": 0.0,
          "totalAmount": 12.00,
          "groupName": null,
          "groupId": 0,
          "unitId": 4,
          "productId": 1662251,
          "discountAmount": 0.00,
          "insertDate": "2023-08-18T11:10:52.19",
          "description": null,
          "cancelReason": null,
          "features": [
            {
              "featureName": "ELMA",
              "additionalPrice": 0.00,
              "featureId": 849913,
              "orderDetailId": 440333700
            }
          ]
        },
        {
          "id": 440333699,
          "orderId": 190202584,
          "quantity": 1.000,
          "unitPrice": 25.00,
          "productName": "CHURCHİLL",
          "productNote": null,
          "productCode": null,
          "productUnitId": 5912397,
          "isMenu": false,
          "parentId": null,
          "cost": 0.0,
          "totalAmount": 25.00,
          "groupName": null,
          "groupId": 0,
          "unitId": 4,
          "productId": 8170225,
          "discountAmount": 0.00,
          "insertDate": "2023-08-18T11:10:52.187",
          "description": null,
          "cancelReason": null,
          "features": []
        }
      ],
      "payments": [
        {
          "orderId": 190202584,
          "paymentTypeId": 1,
          "paymentName": "Nakit",
          "isMealCard": false,
          "amount": 87.00,
          "customerId": null,
          "customerName": null,
          "customerSurname": null,
          "isDebit": false,
          "currencyId": 1,
          "currency": "TRY",
          "exchangeRate": 1.00,
          "insertDate": "2023-08-18T11:41:03.417"
        }
      ],
      "invoices": [
        {
          "orderId": 190202584,
          "ettn": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
          "invoiceUrl": "https://example.com/invoice/e-arsiv-2023-001",
          "title": "ACME RESTORAN A.Ş.",
          "identity": "1234567890",
          "identityType": 3,
          "orderInvoiceType": 1
        }
      ]
    }
  ],
  "closedOrdersReceived": 99,
  "canceledOrdersReceived": 1,
  "totalCount": 2841,
  "pageCount": 29,
  "status": 100,
  "message": "İşlem Başarılı!"
}

Invoice Fields (invoices[])

FieldData TypeDescription
orderIdNumberOrder ID
ettnStringE-invoice unique tracking number (ETTN)
invoiceUrlStringURL to access the invoice document
titleStringInvoice title / company name
identityStringTax or identity number of the invoice recipient
identityTypeNumber1 = TC Identity No, 3 = Tax No (VKN)
orderInvoiceTypeNumber1 = E-Archive, 3 = E-Invoice, 5 = E-Adisyon

Payment Fields (payments[])

FieldData TypeDescription
paymentTypeIdNumberPayment Type ID
paymentNameStringPayment type name
isMealCardBooleanWhether this payment type is a meal card
amountNumberPayment amount
isDebitBooleanWhether the payment is a debit/account payment
currencyIdNumberCurrency ID
currencyStringCurrency short name
exchangeRateNumberExchange rate applied
insertDateDate ISO 8601Date the payment was recorded